> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wholesale Orders

> This endpoint list wholesale orders.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the wholesale orders.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the wholesale orders.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the wholesale orders.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The Id of the wholesale order
</ResponseField>

<ResponseField name="name" type="string">
  The name of the wholesale order
</ResponseField>

<ResponseField name="order_number" type="string">
  The order number of the wholesale order
</ResponseField>

<ResponseField name="created_date" type="string">
  The date the wholesale order was created
</ResponseField>

<ResponseField name="updated_date" type="string">
  The date the wholesale order was last updated
</ResponseField>

<ResponseField name="order_financial_status" type="string">
  The financial status of the wholesale order
</ResponseField>

<ResponseField name="order_fulfillment_status" type="string">
  The fulfillment status of the wholesale order
</ResponseField>

<ResponseField name="order_imported_status" type="string">
  The imported status of the wholesale order
</ResponseField>

<ResponseField name="delivery_date" type="string">
  The delivery date of the wholesale order
</ResponseField>

<ResponseField name="delivery_address" type="string">
  The delivery address of the wholesale order
</ResponseField>

<ResponseField name="location" type="string">
  Location or site where the work order is applicable
</ResponseField>

<ResponseField name="memo" type="string">
  Memo or additional notes related to the work order
</ResponseField>

<ResponseField name="imported_date" type="string">
  The date the wholesale order was imported
</ResponseField>

<ResponseField name="customer_number" type="string">
  The customer number of the wholesale order
</ResponseField>

<ResponseField name="buyer_email" type="string">
  The email of the buyer
</ResponseField>

<ResponseField name="buyer_message" type="string">
  Message from the buyer
</ResponseField>

<ResponseField name="cancel_order_sla_time" type="string">
  SLA time for order cancellation
</ResponseField>

<ResponseField name="cancel_reason" type="string">
  Reason for order cancellation
</ResponseField>

<ResponseField name="cancellation_initiator" type="string">
  Who initiated the cancellation
</ResponseField>

<ResponseField name="fulfillment_type" type="string">
  Type of fulfillment for the order
</ResponseField>

<ResponseField name="delivery_type" type="string">
  Type of delivery for the order
</ResponseField>

<ResponseField name="is_cod" type="boolean">
  Whether the order is Cash on Delivery
</ResponseField>

<ResponseField name="is_replacement_order" type="boolean">
  Whether this is a replacement order
</ResponseField>

<ResponseField name="seller_note" type="string">
  Note from the seller
</ResponseField>

<ResponseField name="status" type="string">
  Current status of the order
</ResponseField>

<ResponseField name="tracking_number" type="string">
  Tracking number for the order
</ResponseField>

<ResponseField name="warehouse_id" type="string">
  ID of the warehouse fulfilling the order
</ResponseField>

<ResponseField name="wholesale_order_line_items" type="array">
  <Expandable title="Show child attributes">
    <ResponseField name="id" type="string">
      Unique identifier for the line item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl 'https://api.stateset.com/v1/wholesale_order/list?limit=25&offset=0&order_direction=desc' \
    -H 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "wholesale_orders": [
      {
        "id": "wo_1042",
        "name": "Q3 replenishment — 500 units",
        "status": "pending_approval",
        "created_at": "2026-07-20T09:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
